import request from '@/utils/request.js'
import { parseStrEmpty } from "@/utils/gdtq";

// 查询司机信息列表
export function listDriverManage(data) {
  return request({
    url: '/system/system/driver/list',
    method: 'post',
    data: data
  })
}

// 新增司机信息
export function addDriverManage(data) {
  return request({
    url: '/system/system/driver/add',
    method: 'post',
    data: data
  })
}

// 修改司机信息
export function updateDriverManage(data) {
  return request({
    url: '/system/system/driver/update',
    method: 'post',
    data: data
  })
}

// 批量删除司机信息
export function removeDriverManage(data) {
  return request({
    url: '/system/system/driver/remove',
    method: 'post',
    data: data
  })
}

// 获取司机信息详细信息
export function detailDriverManage(query) {
  return request({
    url: '/system/system/driver/detail',
    method: 'get',
    params: query
  })
}


// 查询用户详细
export function getUser(userId) {
  return request({
    url: '/system/system/user/' + parseStrEmpty(userId),
    method: 'get'
  })
}

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/system/user/deptTree',
    method: 'get'
  })
}
